LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XStorable2 Interface Referencepublished

extends XStorable. More...

`import"XStorable2.idl";`

Inheritance diagram for XStorable2:

## Public Member Functions
void | storeSelf ([in] sequence< com::sun::star::beans::PropertyValue > lArguments) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::io::IOException )
| stores the data to the URL from which it was loaded. More...
Public Member Functions inherited from XStorable
boolean | hasLocation ()
| The object may know the location because it was loaded from there, or because it is stored there. More...
string | getLocation ()
| After XStorable::storeAsURL() it returns the URL the object was stored to. More...
boolean | isReadonly ()
| It is not possible to call XStorable::store() successfully when the data store is read-only. More...
void | store () raises ( com::sun::star::io::IOException )
| stores the data to the URL from which it was loaded. More...
void | storeAsURL ([in] string sURL, [in] sequence< com::sun::star::beans::PropertyValue > lArguments) raises ( com::sun::star::io::IOException )
| stores the object's persistent data to a URL and makes this URL the new location of the object. More...
void | storeToURL ([in] string sURL, [in] sequence< com::sun::star::beans::PropertyValue > lArguments) raises ( com::sun::star::io::IOException )
| stores the object's persistent data to a URL and continues to be a representation of the old URL. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

extends XStorable.

## Member Function Documentation

## ◆ storeSelf()

void storeSelf | ( | [in] sequence< com::sun::star::beans::PropertyValue > | lArguments | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::io::IOException
| ) |  |

stores the data to the URL from which it was loaded.

Only objects which know their locations can be stored.

This is an extension of the XStorable::store(). This method allows to specify some additional parameters for storing process.

Parameters

  lArguments | optional parameters for saving, can take values from subset of com::sun::star::document::MediaDescriptor

Exceptions

  com::sun::star::lang::IllegalArgumentException | the optional parameters contain unacceptable for save entry
  com::sun::star::io::IOException | if an IO error occurred during save operation

See also
  XStorable::store

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XStorable2.idl